TF_DecryptorBase Class Referenceabstract

_ More...

`#include <pubkey.h>`

Inheritance diagram for TF_DecryptorBase:

## Public Member Functions

DecodingResult | Decrypt (RandomNumberGenerator &rng, const byte *ciphertext, size_t ciphertextLength, byte *plaintext, const NameValuePairs &parameters=g_nullNameValuePairs) const
| decrypt a byte string, and return the length of plaintext More...
bool | ParameterSupported (const char *name) const
size_t | FixedMaxPlaintextLength () const
size_t | FixedCiphertextLength () const
size_t | MaxPlaintextLength (size_t ciphertextLength) const
size_t | CiphertextLength (size_t plaintextLength) const
virtual BufferedTransformation * | CreateDecryptionFilter (RandomNumberGenerator &rng, BufferedTransformation *attachment=NULL, const NameValuePairs &parameters=g_nullNameValuePairs) const
| create a new decryption filter More...
DecodingResult | FixedLengthDecrypt (RandomNumberGenerator &rng, const byte *ciphertext, byte *plaintext, const NameValuePairs &parameters=g_nullNameValuePairs) const
| decrypt a fixed size ciphertext
CryptoMaterial & | AccessMaterial ()
| returns a reference to the crypto material used by this object
const CryptoMaterial & | GetMaterial () const
| returns a const reference to the crypto material used by this object
virtual PrivateKey & | AccessPrivateKey ()=0
virtual const PrivateKey & | GetPrivateKey () const
void | BERDecode (BufferedTransformation &bt)
| for backwards compatibility, calls AccessMaterial().Load(bt)
void | DEREncode (BufferedTransformation &bt) const
| for backwards compatibility, calls GetMaterial().Save(bt)
virtual std::string | AlgorithmName () const
| returns name of this algorithm, not universally implemented yet
virtual Clonable * | Clone () const
| this is not implemented by most classes yet

## Protected Types

typedef TrapdoorFunctionInverse | TrapdoorFunctionInterface
typedef PK_EncryptionMessageEncodingMethod | MessageEncodingInterface

## Protected Member Functions

size_t | PaddedBlockByteLength () const
size_t | PaddedBlockBitLength () const
virtual const TrapdoorFunctionBounds & | GetTrapdoorFunctionBounds () const =0
virtual const TrapdoorFunctionInterface & | GetTrapdoorFunctionInterface () const =0
virtual const MessageEncodingInterface & | GetMessageEncodingInterface () const =0

## Detailed Description

_

Definition at line 166 of file pubkey.h.

## Member Function Documentation

DecodingResult TF_DecryptorBase::Decrypt | ( | RandomNumberGenerator & | rng,
|  | const byte * | ciphertext,
|  | size_t | ciphertextLength,
|  | byte * | plaintext,
|  | const NameValuePairs & | parameters = `g_nullNameValuePairs`
| ) |  | const

virtual

decrypt a byte string, and return the length of plaintext

Precondition
  size of plaintext == MaxPlaintextLength(ciphertextLength) bytes.

Returns
  the actual length of the plaintext, indication that decryption failed.

Implements PK_Decryptor.

virtual BufferedTransformation* PK_Decryptor::CreateDecryptionFilter | ( | RandomNumberGenerator & | rng,
|  | BufferedTransformation * | attachment = `NULL`,
|  | const NameValuePairs & | parameters = `g_nullNameValuePairs`
| ) |  | const

virtual inherited

create a new decryption filter

Note
  caller is responsible for deleting the returned pointer

The documentation for this class was generated from the following file:

- pubkey.h